package com.ruoyi.bst.model.service;

import java.util.List;

import com.ruoyi.bst.model.domain.ModelQuery;
import com.ruoyi.bst.model.domain.ModelVO;

/**
 * 车辆型号Service接口
 *
 * @author ruoyi
 * @date 2025-03-18
 */
public interface ModelService
{
    /**
     * 查询车辆型号
     *
     * @param id 车辆型号主键
     * @return 车辆型号
     */
    public ModelVO selectModelById(Long id, boolean scope);

    default ModelVO selectModelById(Long id) {
        return this.selectModelById(id, false);
    }

    /**
     * 查询车辆型号列表
     *
     * @param model 车辆型号
     * @return 车辆型号集合
     */
    public List<ModelVO> selectModelList(ModelQuery model);

    /**
     * 新增车辆型号
     *
     * @param model 车辆型号
     * @return 结果
     */
    public int insertModel(ModelVO data);

    /**
     * 修改车辆型号
     *
     * @param model 车辆型号
     * @return 结果
     */
    public int updateModel(ModelVO data);

    /**
     * 批量删除车辆型号
     *
     * @param ids 需要删除的车辆型号主键集合
     * @return 结果
     */
    public int deleteModelByIds(Long[] ids);

    /**
     * 删除车辆型号信息
     *
     * @param id 车辆型号主键
     * @return 结果
     */
    public int deleteModelById(Long id);

    /**
     * 逻辑删除车辆型号
     *
     * @param ids 车辆型号主键集合
     * @return 结果
     */
    public int logicDel(List<Long> ids);

    /**
     * 查询车辆型号列表
     *
     * @param ids 车辆型号主键集合
     * @param scope 是否查询范围
     * @return 车辆型号集合
     */
    public List<ModelVO> selectModelListByIds(List<Long> ids, boolean scope);
}
